package com.redis.ha.api;

import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;

@RestController
@Slf4j
@RequiredArgsConstructor
@RequestMapping("/v1/redis")
public class RedisController {

    private final RedisTemplate<String, String> redisTemplate;

    @GetMapping("/put")
    public ResponseEntity<Void> putData(@RequestParam(name = "key") String key){

        redisTemplate.opsForValue().set(key, "DATA");

        return ResponseEntity.ok().build();
    }

    @GetMapping("/get")
    public ResponseEntity<String> getData(@RequestParam(name = "key") String key){

        String data = redisTemplate.opsForValue().get(key);
        log.info(data);

        return ResponseEntity.ok().body(data);
    }

}
